## debrecipes-es 20020409-1

=== Makefile ===
# Copyright (C) Jaime Villate <villate@gnu.org>, 2001
#
# Makefile to parse "recipes" from http://www.laespiral.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: Makefile,v 1.8 2002/01/31 18:24:11 dcharro Exp $

DESTDIR=
SRCRECETAS=$(shell find * -regex '.*receta.*\.xml' -print)
RECETAS=$(shell find * -regex '.*receta.*\.xml' -print | sed "s/xml$$/html/")
DOCS=$(DESTDIR)/usr/share/doc/recetas/html
PARSER=xsltproc

all: $(RECETAS) index.html 

$(RECETAS): %.html: %.xml
	$(PARSER) LE-receta.xsl $< > $@

index.html: recipelist
	@ ./recipelist $(RECETAS) > index.html

clean:
	@ rm -f $(RECETAS) index.html

realclean: clean
	@ rm -f $(SRCRECETAS) 

install: all
	install -d $(DOCS)
	install index.html $(DOCS)
	for receta in $(RECETAS); do \
		install -D $$receta $(DOCS)/$$receta; \
	done

update:
	cd 1-100 && cvs update

=== debian/changelog ===
debrecipes-es (20020409-1) unstable; urgency=low

  * Changed Build-Depends (Closes: #141429)
  * Obtained new recipes from CVS

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  8 Apr 2002 09:20:44 +0200

debrecipes-es (20020131-2) unstable; urgency=low

  * Adopted and committed to Debian.
  * Removed xml files from package and changed it so they are updated from
  the CVS server.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  5 Feb 2002 14:33:29 +0100

debrecipes-es (20020131-1) unstable; urgency=low

  * Initial Release.
  * Adjusted the Makefile to fix $DESTDIR problems
  * Used xsltproc instead of sablotron

 -- David Charro Ripa <dcharro@jazzfree.com>  Thu,  31 Jan 2002 12:53:06 +0000

=== debian/control ===
Source: debrecipes-es
Section: doc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), xsltproc, libxml-dom-perl, cvs
Standards-Version: 3.5.2

Package: debrecipes-es
Architecture: all
Recommends: doc-base
Description: Debian "recipes" from project La Espiral - Spanish version
 Debian recipes are a collection of short useful tricks; an e-mail message
 sent to a users mailing list can become a recipe that is stored inside a
 database where they can be indexed. Anybody can contribute a recipe through a
 web interface at the webpage of project La Espiral
 (http://www.laespiral.org).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) update
	$(MAKE)
	#/usr/bin/docbook-to-man debian/debrecipes-es.sgml > debrecipes-es.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/debrecipes-es.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/debrecipes-es
	dh_installdocs index.html 1-100/*.html

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_installdocs 
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debrecipes-es 20030403-1

=== Makefile ===
--- 
+++ 
@@ -32,18 +32,22 @@
 index.html: recipelist
 	@ ./recipelist $(RECETAS) > index.html
 
-clean:
+clean: 
 	@ rm -f $(RECETAS) index.html
 
-realclean: clean
+realclean: distclean
 	@ rm -f $(SRCRECETAS) 
+
+distclean: clean
 
 install: all
 	install -d $(DOCS)
 	install index.html $(DOCS)
-	for receta in $(RECETAS); do \
-		install -D $$receta $(DOCS)/$$receta; \
-	done
+	mkdir $(DOCS)/1-100/
+	cp -a 1-100/*.html $(DOCS)/1-100
+	mkdir $(DOCS)/101-200/
+	cp -a 101-200/*.html $(DOCS)/101-200
 
 update:
-	cd 1-100 && cvs update
+	-(cd 1-100 && cvs update)
+	-(cd 101-200 && cvs update)

=== debian/changelog ===
debrecipes-es (20030403-1) unstable; urgency=low

  * New version with updates recipes (including those from 101 upwards)
  * Building the package no longer updates from CVS (so that an Internet
  connection is not required for builds)
  * The dtd's under the recipes directories are now symbolic links
  * Fixed lintian warning

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  3 Apr 2003 22:19:20 +0200

debrecipes-es (20020923-1) unstable; urgency=low

  * New version with updated 'recetas'
  * Properly fixed so that links to 1-100 dir work too (Closes: #151468)
  * Removed CVS directory in 1-100

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 23 Sep 2002 14:22:31 +0200

debrecipes-es (20020513-1) unstable; urgency=low

  * Updated recetas from those available in CVS
  * Fixed installation so that it installs to 1-100 (Closes: #146676)
  * Changed cvs update so it will not break installation if it is not
  connected to the network (Closes: #145976)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 13 May 2002 14:24:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DOCS=$(CURDIR)/debian/debrecipes-es/usr/share/doc/debrecipes-es/
	dh_installdocs index.html 
	-find  $(CURDIR)/debian/debrecipes-es -type d -name "CVS" -exec rm -rf {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdocs 
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

update:
	$(MAKE) update

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
